%define upstream_name    CatalystX-InjectComponent
%define upstream_version 0.025

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Inject components into your Catalyst application
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CatalystX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime) >= 5.800.0
BuildRequires: perl(Class::Inspector)
BuildRequires: perl(Devel::InnerPackage)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(parent)
BuildArch:  noarch

%{?perl_default_filter}

%description
CatalystX::InjectComponent will inject Controller, Model, and View
components into your Catalyst application at setup (run)time. It does this
by creating a new package on-the-fly, having that package extend the given
component, and then having Catalyst setup the new component (via
'->setup_component')

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.25.0-11.mga8
+ Revision: 1493480
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.25.0-10.mga7
+ Revision: 1265980
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.25.0-9.mga6
+ Revision: 1023412
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.25.0-8.mga6
+ Revision: 948406
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.25.0-7.mga5
+ Revision: 787841
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.25.0-6.mga5
+ Revision: 743997
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.25.0-5.mga5
+ Revision: 732903
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.25.0-3.mga4
+ Revision: 509762
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.25.0-2.mga3
+ Revision: 364158
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.25.0-1.mga3
+ Revision: 267278
- update to 0.025

* Wed Jan 26 2011 jquelin <jquelin> 0.24.0-1.mga1
+ Revision: 40334
- mageia rebuild
- imported package perl-CatalystX-InjectComponent

